Subject: Re: Bash hanging
From: [email-masked] (Christopher Faylor)

9 Jan 1999 22:30:37 -0800
Message-ID: <[email-masked]>
References: <AC4D3D80B239D211BC140000F879A2BA0AECBF.cygnus.gnu-win32@NTMAIL>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Corinna Vinschen <[email-masked]>, [email-masked]

On Sat, Jan 09, 1999 at 07:26:24PM +0100, Corinna Vinschen wrote:
>Christopher G. Faylor wrote:
>> 
>> In article <AC4D3D80B239D211BC140000F879A2BA0AECBF.cygnus.gnu-win32@NTMAIL>,
>> Ian Collins <[email-masked]> wrote:
>> >Has anyone noticed bash hanging in b20.1?  It appears to be flow
>> >control related.  I tried stty -xoff, but it doesn't seem to solve the
>> >problem.
>> >
>> >It doesn't seem to matter whether it is in the console window, or in a
>> >telnet window.  The shell just occasionally just stops.
>> 
>> It is almost assuredly not flow-control related.
>> 
>> What does "just stops" mean, exactly?  Does it stop printing a prompt?
>> Or is there no response to commands at the prompt.
>> 
>> If you can reliably duplicate this, then we'll take a stab at fixing it.
>> cygcheck output would be useful in this case.
>
>I had reported a similar problem 10 days ago with tcsh and telnet.  If
>you try Ctrl-S while e.g.  a long ls -l listing, the output stops as
>expected, but unfortunately you'll never get it to wake up.  This is
>absolut reproducable!

I wouldn't expect tcsh/telnet to be related to console problems.  Also,
no mention was made of hitting CTRL-S.

-chris
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".